org.jbpm.kie.services.impl.bpmn2

## Class BPMN2DataServiceSemanticModule

- java.lang.Object
- - org.drools.core.xml.DefaultSemanticModule
  - - org.jbpm.bpmn2.xml.BPMNSemanticModule
    - - org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceSemanticModule

- All Implemented Interfaces:
    org.drools.core.xml.SemanticModule

      public class BPMN2DataServiceSemanticModule
      extends BPMNSemanticModule

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.BPMNSemanticModule

      `BPMN2_URI`

    - ### Fields inherited from class org.drools.core.xml.DefaultSemanticModule

      `handlers, handlersByClass, uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPMN2DataServiceSemanticModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dispose()`
    `org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository` | `getRepo()`
    `ProcessDescRepoHelper` | `getRepoHelper()`
    `void` | `init()`
    `void` | `setAbstractTaskHandler(AbstractTaskGetInformationHandler abstractTaskHandler)`
    `void` | `setItemDefinitionHandler(DataServiceItemDefinitionHandler itemDefinitionHandler)`
    `void` | `setProcessHandler(ProcessGetInformationHandler processHandler)`
    `void` | `setProcessInputHandler(ProcessGetInputHandler processInputHandler)`
    `void` | `setRepo(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repo)`
    `static void` | `setRepoHelper(ProcessDescRepoHelper repoHelper)`
    `void` | `setReusableSubprocessHandler(GetReusableSubProcessesHandler reusableSubprocessHandler)`
    `void` | `setTaskHandler(HumanTaskGetInformationHandler taskHandler)`

    - ### Methods inherited from class org.drools.core.xml.DefaultSemanticModule

      `addHandler, getHandler, getHandlerByClass, getUri`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BPMN2DataServiceSemanticModule

          public BPMN2DataServiceSemanticModule()

  - ### Method Detail

    - #### setTaskHandler

          public void setTaskHandler(HumanTaskGetInformationHandler taskHandler)

    - #### setProcessHandler

          public void setProcessHandler(ProcessGetInformationHandler processHandler)

    - #### setProcessInputHandler

          public void setProcessInputHandler(ProcessGetInputHandler processInputHandler)

    - #### setReusableSubprocessHandler

          public void setReusableSubprocessHandler(GetReusableSubProcessesHandler reusableSubprocessHandler)

    - #### setItemDefinitionHandler

          public void setItemDefinitionHandler(DataServiceItemDefinitionHandler itemDefinitionHandler)

    - #### setAbstractTaskHandler

          public void setAbstractTaskHandler(AbstractTaskGetInformationHandler abstractTaskHandler)

    - #### init

          public void init()

    - #### getRepoHelper

          public ProcessDescRepoHelper getRepoHelper()

    - #### setRepoHelper

          public static void setRepoHelper(ProcessDescRepoHelper repoHelper)

    - #### getRepo

          public org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository getRepo()

    - #### setRepo

          public void setRepo(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repo)

    - #### dispose

          public static void dispose()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.